;*********************************************************************************
;*********************************************************************************
;                          PB2 Function: _______________
;*********************************************************************************
;*********************************************************************************

PB2_func:
        brclr   PB2,porth,*          ;await button release
        jsr     ResetAutoTimers         ;Reset LiteOff timer since user touched controls
        
;;;;;;inactive function for now only used from rundsp908 and run ASPode for that
;;;                       all code for that in rundsp908.asm & runASP.asm
        bra     ExitPB2
;;;;;;;;
        jsr     wait100ms
        jsr     LCD_Clear
        ldhx    #PB2_msg
        jsr     disp_msg                ;display "Band Selection" on 1st line

        ldhx    #PB2CmndTable          ;set up pointer to DiagCmndTable
        sthx    CmndTabStart
        ldhx    #PB2MsgTable           ;set up pointer to DiagMsgTable
        sthx    MsgTabStart
        sthx    msg_pointer
        clr     msg_cntr                ;counter used as index into Msg Table
        jmp     get_dial_selection

             ; PB2_func1 Selection
PB2_func1:
        jmp     ExitPB2

             ; PB2_func2 Selection
PB2_func2:
        jmp     ExitPB2

             ; PB2_func3 Selection
PB2_func3:
        jmp     ExitPB2

             ; PB2_func4 Selection
PB2_func4:

ExitPB2:
        brclr   ENC_pb,portf,*           ;wait here until Encoder PB released
        jmp     StartMainAF

PB2_msg:        fcb     'PB2 Selection',0
PB2_func1_msg:  fcb     'PB2 Func 1',0
PB2_func2_msg:  fcb     'PB2 Func 2',0
PB2_func3_msg:  fcb     'PB2 Func 3',0
PB2_func4_msg:  fcb     'PB2 Func 4',0

;--------------------------
;   Band JUMP TABLE

PB2CmndTable:
        fdb     PB2_func2
        fdb     PB2_func1
        fdb     PB2_func4
        fdb     PB2_func3

;---------------------------
;   PB2 MESSAGE TABLE

PB2MsgTable:
        fcb     'PB2 Func 2',0          ;CW item
        fcb     'PB2 Func 1',0          ;1st item displayed
        fcb     'PB2 Func 4',0          ;CCW item
        fcb     'PB2 Func 3',0
        fcb     0                       ;end of list character
