;*********************************************************************************
;*********************************************************************************
;                          PB3 Function: _______________
;*********************************************************************************
;*********************************************************************************

PB3_func:
        brclr   PB3,portg,*            ;await button release
        jsr     ResetAutoTimers         ;Reset LiteOff timer since user touched controls
        
;;;;;;inactive function for now only used from rundsp908 and run ASPode for that
;;;                       all code for that in rundsp908.asm & runASP.asm
        bra     ExitPB2
;;;;;;;;
        jsr     wait100ms
        jsr     LCD_Clear
        ldhx    #PB3_msg
        jsr     disp_msg               ;display "PB3 func" on 1st line

        ldhx    #PB3CmndTable          ;set up pointer to DiagCmndTable
        sthx    CmndTabStart
        ldhx    #PB3MsgTable           ;set up pointer to DiagMsgTable
        sthx    MsgTabStart
        sthx    msg_pointer
        clr     msg_cntr               ;counter used as index into Msg Table
        jmp     get_dial_selection

             ; PB3_func1 Selection
PB3_func1:
        jmp     ExitPB3

             ; PB3_func2 Selection
PB3_func2:
        jmp     ExitPB3

             ; PB3_func3 Selection
PB3_func3:
        jmp     ExitPB3

             ; PB3_func4 Selection
PB3_func4:

ExitPB3:
        brclr   ENC_pb,portf,*          ;wait here until Encoder PB released
        jmp     StartMainAF

PB3_msg:        fcb     'PB3 Selection',0
PB3_func1_msg:  fcb     'PB3 Func 1',0
PB3_func2_msg:  fcb     'PB3 Func 2',0
PB3_func3_msg:  fcb     'PB3 Func 3',0
PB3_func4_msg:  fcb     'PB3 Func 4',0

;--------------------------
;   Band JUMP TABLE

PB3CmndTable:
        fdb     PB3_func2
        fdb     PB3_func1
        fdb     PB3_func4
        fdb     PB3_func3

;---------------------------
;   PB3 MESSAGE TABLE

PB3MsgTable:
        fcb     'PB3 Func 2',0          ;CW item
        fcb     'PB3 Func 1',0          ;1st item displayed
        fcb     'PB3 Func 4',0          ;CCW item
        fcb     'PB3 Func 3',0
        fcb     0                       ;end of list character
